---
title: Object() constructor
slug: Web/JavaScript/Reference/Global_Objects/Object/Object
tags:
  - Constructor
  - JavaScript
  - Object
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Object</code> constructor</strong> creates an object wrapper for the given value.</p>

<ul>
 <li>If the value is {{jsxref("null")}} or {{jsxref("undefined")}}, it will create and return an empty object.</li>
 <li>Otherwise, it will return an object of a Type that corresponds to the given value.</li>
 <li>If the value is an object already, it will return the value.</li>
</ul>

<p>When called in a non-constructor context, <code>Object</code> behaves identically to <code>new Object()</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new Object()
new Object(<var>value</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>value</var></code></dt>
 <dd>Any value.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_a_new_Object">Creating a new Object</h3>

<pre class="brush: js notranslate">let o = new Object()
o.foo = 42

console.log(o)
// Object { foo: 42 }</pre>

<h3 id="Using_Object_given_undefined_and_null_types">Using Object given undefined and null types</h3>

<p>The following examples store an empty <code>Object</code> object in <code>o</code>:</p>

<pre class="brush: js notranslate">let o = new Object()
</pre>

<pre class="brush: js notranslate">let o = new Object(undefined)
</pre>

<pre class="brush: js notranslate">let o = new Object(null)</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-object-constructor', 'Object constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("javascript.builtins.Object.Object")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Object_initializer">Object initializer</a></li>
</ul>
